package com.bonus.material.work.mapper;

import com.bonus.material.work.domain.SysWorkflowRecord;
import com.bonus.material.work.domain.dto.SysWorkflowAuditDto;
import org.apache.ibatis.annotations.Param;

public interface SysWorkflowRecordMapper {

    // 增加审批流任务信息
    int addSysWorkflowRecord(SysWorkflowRecord sysWorkflowRecord);

    // 修改审批流任务信息
    int updateSysWorkflowRecord(SysWorkflowRecord sysWorkflowRecord);



    // 根据任务id，查询审批流任务信息
    SysWorkflowAuditDto getSysWorkflowRecodeByTaskId(@Param("taskId") Integer taskId);
}
